Subject: bug#30937: In `comment-region', C-g doesn't work

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Mar 2018 21:11:44 +0300

> From: Ivan Shmakov <[email-masked]>
> Date: Sun, 25 Mar 2018 17:35:45 +0000
> 
>  > ???  How come it works in "emacs -nw" but not on a "Linux tty" (which
>  > is what, btw? the raw Linux console?).  In both cases, C-g should
>  > trigger a SIGINT, so Emacs should be even more responsive to C-g than
>  > on X.  What am I missing?
> 
> 	I’d think that it means “works with -nw under xterm [or some
> 	such] but not on a virtual terminal [like /dev/tty2]”.
> 
> 	Personally, I’d look at (and compare) the stty(1) settings for
> 	the respective tty devices first; like:
> 
> $ stty -a -F /dev/tty2 
> 
> $ stty -a -F /dev/pts/5 

If a SIGINT is disabled, then I'd expect Emacs on a TTY to become
completely broken wrt to C-g, because AFAIK there's no other mechanism
on a TTY for Emacs to treat C-g differently from any other key.

But it doesn't do any harm to check the stty settings.